Deployment Pipelines - Get Deployment Pipeline Operation
Returns the details of the specified deploy operation performed on the specified deployment pipeline, including the deployment execution plan.
Permissions
The caller must have an admin deployment pipelines role.
Required Delegated Scopes
Pipeline.Read.All or Pipeline.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/deploymentPipelines/{deploymentPipelineId}/operations/{operationId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
deployment
|
path | True |
string (uuid) |
The deployment pipeline ID. |
|
operation
|
path | True |
string (uuid) |
The operation ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a deployment pipeline operation example
Sample request
GET https://api.fabric.microsoft.com/v1/deploymentPipelines/a5ded933-57b7-41f4-b072-ed4c1f9d5824/operations/1065e6a3-a020-4c0c-ada7-92b5fe99eec5
Sample response
{
"id": "1065e6a3-a020-4c0c-ada7-92b5fe99eec5",
"type": "Deploy",
"status": "Succeeded",
"lastUpdatedTime": "2020-12-13T09:26:43.153",
"executionStartTime": "2020-12-13T09:25:43.153Z",
"executionEndTime": "2020-12-13T09:26:43.153Z",
"sourceStageId": "2e6f0272-e809-410a-be63-50e1d97ba75a",
"targetStageId": "d2056166-041c-4a56-8d37-ea90038bc0d6",
"executionPlan": {
"steps": [
{
"index": 0,
"description": "DataflowDeployment",
"status": "Succeeded",
"preDeploymentDiffState": "New",
"sourceAndTarget": {
"sourceItemId": "29efcfb0-0063-44af-a4ed-6c0bee3417d3",
"sourceItemDisplayName": "Source dataflow",
"itemType": "Dataflow"
}
},
{
"index": 1,
"description": "DatamartDeployment",
"status": "Succeeded",
"preDeploymentDiffState": "New",
"sourceAndTarget": {
"sourceItemId": "645cd81f-1b21-4006-82b6-54cc7ec0352e",
"sourceItemDisplayName": "Source datamart",
"itemType": "Datamart"
}
},
{
"index": 2,
"description": "DatasetDeployment",
"status": "Succeeded",
"preDeploymentDiffState": "NoDifference",
"sourceAndTarget": {
"sourceItemId": "1a201f2a-d1d8-45c0-8c61-1676338517de",
"sourceItemDisplayName": "Source dataset",
"targetItemId": "dd3b6aa1-4d40-405c-a19b-48314a27e8ee",
"targetItemDisplayName": "Target dataset",
"itemType": "SemanticModel"
}
},
{
"index": 3,
"description": "ReportDeployment",
"status": "Succeeded",
"preDeploymentDiffState": "Different",
"sourceAndTarget": {
"sourceItemId": "2d225191-65f8-4ec3-b77d-06100602b1f7",
"sourceItemDisplayName": "Source report",
"targetItemId": "9d5c1f0f-f85c-48f4-8a8e-4c77547116b3",
"targetItemDisplayName": "Target report",
"itemType": "Report"
}
},
{
"index": 4,
"description": "DashboardDeployment",
"status": "Succeeded",
"preDeploymentDiffState": "New",
"sourceAndTarget": {
"sourceItemId": "9046e4cc-8aea-4a7a-a3b5-1a78b1447d82",
"sourceItemDisplayName": "Source dashboard",
"itemType": "Dashboard"
}
}
]
},
"note": {
"content": "Sample note"
},
"preDeploymentDiffInformation": {
"newItemsCount": 3,
"differentItemsCount": 1,
"noDifferenceItemsCount": 1
},
"performedBy": {
"id": "a35d842b-90d5-59a2-c56a-5f8fcff0bf9d",
"type": "User"
}
}
Definitions
| Name | Description |
|---|---|
|
Deployment |
A deployment execution plan. |
|
Deployment |
A deployment execution step. |
|
Deployment |
A Fabric deployment pipeline operation. |
|
Deployment |
A note describing the deployment. |
|
Deployment |
The deployment pipeline operation status. Additional statuses may be added over time. |
|
Deployment |
The operation type. Additional types may be added over time. |
|
Deployment |
Source and target items. |
|
Entire |
Represents a tenant principal |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Group |
Group specific details. Applicable when the principal type is |
|
Group |
Represents a security group. |
|
Group |
The type of the group. Additional group types may be added over time. |
|
Item |
Specifies if an item is new, different or identical to items in the target stage before deployment. Additional states may be added over time. |
|
Item |
The type of the item. Additional item types may be added over time. |
|
Pre |
The number of new, different and identical deployed items before deployment. |
|
Principal |
The type of the principal. Additional principal types may be added over time. |
|
Service |
Service principal specific details. Applicable when the principal type is |
|
Service |
Represents a Microsoft Entra service principal. |
|
Service |
Service principal profile details. Applicable when the principal type is |
|
Service |
Represents a service principal profile. |
|
User |
User principal specific details. Applicable when the principal type is |
|
User |
Represents a Microsoft Entra user principal. |
DeploymentExecutionPlan
A deployment execution plan.
| Name | Type | Description |
|---|---|---|
| steps |
The collection of execution plan steps. |
DeploymentExecutionStep
A deployment execution step.
| Name | Type | Description |
|---|---|---|
| description |
string |
The deployment step description. |
| error |
The error details. Only applicable if the deployment pipeline operation failed. |
|
| index |
integer |
The step index. |
| preDeploymentDiffState |
Is an item new, different or identical to items in the target stage before deployment. |
|
| sourceAndTarget |
The source and target items of the step. |
|
| status |
The status of the deployment pipeline operation. Additional statuses may be added over time. |
DeploymentPipelineOperationExtendedInfo
A Fabric deployment pipeline operation.
| Name | Type | Description |
|---|---|---|
| executionEndTime |
string (date-time) |
The date and time that the operation ended. |
| executionPlan |
The deployment execution plan. |
|
| executionStartTime |
string (date-time) |
The date and time that the operation started. |
| id |
string (uuid) |
The operation ID. |
| lastUpdatedTime |
string (date-time) |
The date and time that the operation was last updated. |
| note |
A note representing a description of the operation. |
|
| performedBy | Principal: |
The principal that performed the deployment pipeline operation. |
| preDeploymentDiffInformation |
The number of deployed items in the source stage, that are new, identical or different to items in the target stage, before deployment. |
|
| sourceStageId |
string (uuid) |
The ID of a source deployment pipeline stage. |
| status |
The deployment pipeline operation status. Additional statuses may be added over time. |
|
| targetStageId |
string (uuid) |
The ID of a target deployment pipeline stage. |
| type |
The operation type. Additional types may be added over time. |
DeploymentPipelineOperationNote
A note describing the deployment.
| Name | Type | Description |
|---|---|---|
| content |
string |
Text describing the deployment. |
| isTruncated |
boolean |
Indicates whether the note content is truncated. True - the note content is truncated, False - the note content isn't truncated. Default value is false. |
DeploymentPipelineOperationStatus
The deployment pipeline operation status. Additional statuses may be added over time.
| Value | Description |
|---|---|
| NotStarted |
Operation not started |
| Running |
Operation running |
| Succeeded |
Operation succeeded |
| Failed |
Operation failed |
DeploymentPipelineOperationType
The operation type. Additional types may be added over time.
| Value | Description |
|---|---|
| Deploy |
Deploy content between stages. |
DeploymentSourceAndTarget
Source and target items.
| Name | Type | Description |
|---|---|---|
| itemType |
The type of the Fabric item that will be overwritten in the target stage. Only applies when overwriting a Fabric item. |
|
| sourceItemDisplayName |
string |
The display name of the Fabric item that's deployed from the source stage. |
| sourceItemId |
string (uuid) |
The ID of the Fabric item that's deployed from the source stage. |
| targetItemDisplayName |
string |
The name of the Fabric item that will be overwritten in the target stage. Only applies when overwriting a Fabric item. |
| targetItemId |
string (uuid) |
The ID of the Fabric item that will be overwritten in the target stage. Only applies when overwriting a Fabric item. |
EntireTenantPrincipal
Represents a tenant principal
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Entire |
The type of the principal. Additional principal types may be added over time. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
GroupDetails
Group specific details. Applicable when the principal type is Group.
| Name | Type | Description |
|---|---|---|
| groupType |
The type of the group. Additional group types may be added over time. |
GroupPrincipal
Represents a security group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| groupDetails |
Group specific details. Applicable when the principal type is |
|
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Group |
The type of the principal. Additional principal types may be added over time. |
GroupType
The type of the group. Additional group types may be added over time.
| Value | Description |
|---|---|
| Unknown |
Principal group type is unknown. |
| SecurityGroup |
Principal is a security group. |
| DistributionList |
Principal is a distribution list. |
ItemPreDeploymentDiffState
Specifies if an item is new, different or identical to items in the target stage before deployment. Additional states may be added over time.
| Value | Description |
|---|---|
| New |
A new deployed item that doesn't exist in the target stage. |
| Different |
Before deployment, the item in the source stage wasn't identical to the one in the target stage. |
| NoDifference |
Before deployment, the item in the source stage was identical to the one in the target stage. |
ItemType
The type of the item. Additional item types may be added over time.
| Value | Description |
|---|---|
| Dashboard |
PowerBI dashboard. |
| Report |
PowerBI report. |
| SemanticModel |
PowerBI semantic model. |
| PaginatedReport |
PowerBI paginated report. |
| Datamart |
PowerBI datamart. |
| Lakehouse |
A lakehouse. |
| Eventhouse |
An eventhouse. |
| Environment |
An environment. |
| KQLDatabase |
A KQL database. |
| KQLQueryset |
A KQL queryset. |
| KQLDashboard |
A KQL dashboard. |
| DataPipeline |
A data pipeline. |
| Notebook |
A notebook. |
| SparkJobDefinition |
A spark job definition. |
| MLExperiment |
A machine learning experiment. |
| MLModel |
A machine learning model. |
| Warehouse |
A warehouse. |
| Eventstream |
An eventstream. |
| SQLEndpoint |
An SQL endpoint. |
| MirroredWarehouse |
A mirrored warehouse. |
| MirroredDatabase |
A mirrored database. |
| Reflex |
A Reflex. |
| GraphQLApi |
An API for GraphQL item. |
| MountedDataFactory |
A MountedDataFactory. |
| SQLDatabase |
A SQLDatabase. |
| CopyJob |
A Copy job. |
| VariableLibrary |
A VariableLibrary. |
| Dataflow |
A Dataflow. |
| ApacheAirflowJob |
An ApacheAirflowJob. |
| WarehouseSnapshot |
A Warehouse snapshot. |
| DigitalTwinBuilder |
A DigitalTwinBuilder. |
| DigitalTwinBuilderFlow |
A Digital Twin Builder Flow. |
| MirroredAzureDatabricksCatalog |
A mirrored azure databricks catalog. |
| Map |
A Map. |
| AnomalyDetector |
An Anomaly Detector. |
| UserDataFunction |
A User Data Function. |
| GraphModel |
A GraphModel. |
| GraphQuerySet |
A Graph QuerySet. |
| SnowflakeDatabase |
A Snowflake Database to store Iceberg tables created from Snowflake account. |
| OperationsAgent |
A OperationsAgent. |
| CosmosDBDatabase |
A Cosmos DB Database. |
| Ontology |
An Ontology. |
| EventSchemaSet |
An EventSchemaSet. |
| DataAgent |
A DataAgent. |
PreDeploymentDiffInformation
The number of new, different and identical deployed items before deployment.
| Name | Type | Description |
|---|---|---|
| differentItemsCount |
integer |
The number of deployed items with differences between source and target stages, before deployment. |
| newItemsCount |
integer |
The number of new items deployed to the target stage. |
| noDifferenceItemsCount |
integer |
The number of identical deployed items in the source and target stages, before deployment. |
PrincipalType
The type of the principal. Additional principal types may be added over time.
| Value | Description |
|---|---|
| User |
Principal is a Microsoft Entra user principal. |
| ServicePrincipal |
Principal is a Microsoft Entra service principal. |
| Group |
Principal is a security group. |
| ServicePrincipalProfile |
Principal is a service principal profile. |
| EntireTenant |
Principal represents all tenant users. |
ServicePrincipalDetails
Service principal specific details. Applicable when the principal type is ServicePrincipal.
| Name | Type | Description |
|---|---|---|
| aadAppId |
string (uuid) |
The service principal's Microsoft Entra AppId. |
ServicePrincipalPrincipal
Represents a Microsoft Entra service principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalDetails |
Service principal specific details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
ServicePrincipalProfileDetails
Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.
| Name | Type | Description |
|---|---|---|
| parentPrincipal | Principal: |
The service principal profile's parent principal. |
ServicePrincipalProfilePrincipal
Represents a service principal profile.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalProfileDetails |
Service principal profile details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
UserDetails
User principal specific details. Applicable when the principal type is User.
| Name | Type | Description |
|---|---|---|
| userPrincipalName |
string |
The user principal name. |
UserPrincipal
Represents a Microsoft Entra user principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
User |
The type of the principal. Additional principal types may be added over time. |
| userDetails |
User principal specific details. Applicable when the principal type is |